function L = MakeGenerator()
Na = 7; % The number of atoms
fminname = sprintf('LJ%ddata/LJ%dmin_data.txt',Na,Na);
ftsname = sprintf('LJ%ddata/LJ%dts_data.txt',Na,Na); %ts = transition state

mindata = load(fminname);
tsdata = load(ftsname);

T = 0.05; % temperature
% format of mindata
% Each row i contains data for minimum i: 
% energy V(min _i), log(abs(det(H(min_i))), PGO of min i
% PGO = point grpup order
% H = Hessian = matrix of second derivatives of V at minimum i

% format of mindata
% Each row i contains data for Morse index 1 saddle (or ts i) separating min1 and min2: 
% energy, log(abs(det(H(ts_i))), abs(lambda_neg), PGO of ts_i, min1, min2

Nts = size(tsdata,1); % the number of saddles
Nmin = size(mindata,1); % the number of minima
L = zeros(Nmin); 
for k = 1 : Nts
     min1 = tsdata(k,5);
     min2 = tsdata(k,6);
     if min1 ~= min2
         lneg = tsdata(k,3);
         pgosad = tsdata(k,4);
         Fts = tsdata(k,2);
         Vts = tsdata(k,1);
         pgomin = mindata(min1,3);
         Vmin = mindata(min1,1);
         Fmin = mindata(min1,2);
         aux = 0.5*(pgomin*lneg/pgosad)/pi;
         L(min1,min2) = L(min1,min2) + aux*exp(-(Vts - Vmin)/T + 0.5*(Fmin - Fts));
         pgomin = mindata(min2,3);
         Vmin = mindata(min2,1);
         Fmin = mindata(min2,2);
         aux = 0.5*(pgomin*lneg/pgosad)/pi;
         L(min2,min1) = L(min2,min1) + aux*exp(-(Vts - Vmin)/T + 0.5*(Fmin - Fts));
     end
end
% make row sums zero
Ldiag = sum(L,2);
L = L - diag(Ldiag); 
end
     
     
